Qgis 2.16: Save world file does not work.

2016-07-12 11:36 PM - Steven Veen

Status: Closed

Priority: Severe/Regression

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:2.16.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23204

Description

When I export a map to a jpeg or tiff using the composer and I've checked 'Save world file' the world file does not appear. (The jpg or tiff

does.)

Associated revisions

Revision 38a811b3 - 2016-09-30 07:54 AM - Nyall Dawson

[composer] Fix save world file does not work (fix #15268)

Revision c9449c8b - 2016-09-30 07:57 AM - Nyall Dawson

[composer] Fix save world file does not work (fix #15268)

(cherry-picked from 38a811b377cf7d0d50e2c76346eadfdd8ef87956)

Revision 9f6f08a4 - 2016-09-30 08:41 AM - Nyall Dawson

[composer] Fix save world file does not work (fix #15268)

(cherry-picked from 38a811b377cf7d0d50e2c76346eadfdd8ef87956)

History

#1 - 2016-07-12 11:57 PM - Klas Karlsson

It works for me (on other OS), but I noted that the "Reference Map" selector under "Export Settings" was blank when I first activated the "Save world file"

option.

Can you verify that this selector has the correct map selected as reference and that it still doesn't work.

#2 - 2016-07-13 12:12 AM - Steven Veen

- File worldfile.png added

When I open the same project in Qgis 2.14.4 everything goes fine.
#3 - 2016-07-27 09:01 AM - Donovan Cameron

I've noticed the World File isn't generated on either Windows 8.1 (via OSGeo4W installer) or Arch Linux.

The Reference Map is selected, wasn't blank but set to Map 0.

#4 - 2016-08-26 02:46 AM - salvatore fiandaca

Win 10 64-bit and OSGeo4w works well, you must select the 'reference map'!!!

#5 - 2016-08-26 04:31 AM - Novarese  

Under Win7_64 it works as well, but you have to flag "Print as raster" too.

The option "Save world file" seems useless, because the exported TIFF is a full Geotiff.

#6 - 2016-08-28 04:21 PM - Jukka Rahkonen

There are programs which can't read the GeoTIFF tags so Save world file option is not useless.

#7 - 2016-09-22 02:03 PM - John Tull

The same is true on OS X with 2.16.2, i.e., no world file is being generated on export with the setting correctly applied in the composer export options.

#8 - 2016-09-22 04:05 PM - Nyall Dawson

- Assignee set to Nyall Dawson

- Priority changed from Normal to Severe/Regression

#9 - 2016-09-29 10:55 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"38a811b377cf7d0d50e2c76346eadfdd8ef87956".
